# posix_geteuid

(PHP 4, PHP 5, PHP 7)

posix_geteuid — Return the effective user ID of the current process

### Description

posix_geteuid ( void ) : int

Return the numeric effective user ID of the current process. See also posix_getpwuid() for information on how to convert this into a useable username.

### Return Values

Returns the user id, as an integer

### Examples

Example #1 posix_geteuid() example

This example will show the current user id then set the effective user id to a separate id using posix_seteuid(), then show the difference between the real id and the effective id.

`<?php
echo posix_getuid()."\n"; //10001
echo posix_geteuid()."\n"; //10001
posix_seteuid(10000);
echo posix_getuid()."\n"; //10001
echo posix_geteuid()."\n"; //10000
?>`

### See Also

- posix_getpwuid() - Return info about a user by user id
- posix_getuid() - Return the real user ID of the current process
- posix_setuid() - Set the UID of the current process
- POSIX man page GETEUID(2)